import * as widgets from '@jupyter-widgets/base';
import { Interaction } from './Interaction';
export declare class ToolbarModel extends widgets.DOMWidgetModel {
    defaults(): any;
    panzoom(): void;
    reset(): void;
    save_png(): void;
    _create_panzoom_model(figure: any): Promise<widgets.WidgetModel>;
    cached_interaction: Interaction;
    static serializers: {
        figure: {
            deserialize: typeof widgets.unpack_models;
        };
        _panzoom: {
            deserialize: typeof widgets.unpack_models;
        };
    };
}
export declare class Toolbar extends widgets.DOMWidgetView {
    render(): void;
    update(): void;
    model: ToolbarModel;
    _panzoom: HTMLButtonElement;
}
